openssl_private_decrypt
openssl_public_decrypt
OpenSSL Functions
PHP Manual

# openssl_private_encrypt

Encrypts data with private key

### Description

bool openssl_private_encrypt ( string `$data` , string `&$crypted` , mixed `$key` [, int `$padding` = OPENSSL_PKCS1_PADDING ] )

openssl_private_encrypt encrypts `data` with private `key` and stores the result into `crypted`. Encrypted data can be decrypted via openssl_public_decrypt.

This function can be used e.g. to sign data (or its hash) to prove that it is not written by someone else.

### Parameters

`data`

`crypted`

`key`

`padding`

  `padding` can be one of `OPENSSL_PKCS1_PADDING`, `OPENSSL_NO_PADDING`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- openssl_public_encrypt
- openssl_public_decrypt